<!DOCTYPE html>
<html lang="en">
  <head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Meta -->
    <meta name="description" content="Responsive Bootstrap 4 Dashboard and Admin Template">
    <meta name="author" content="ThemePixels">

    <!-- Favicon -->
    <link rel="shortcut icon" type="image/x-icon" href="../assets/img/favicon.png">

    <title>Cassie Responsive Bootstrap 4 Dashboard and Admin Template</title>

    <!-- vendor css -->
    <link href="../lib/@fortawesome/fontawesome/css/all.min.css" rel="stylesheet">
    <link href="../lib/ionicons/css/ionicons.min.css" rel="stylesheet">
    <link href="../lib/prismjs/themes/prism-tomorrow.css" rel="stylesheet">

    <!-- template css -->
    <link rel="stylesheet" href="../assets/css/cassie.css">

  </head>
  <body data-spy="scroll" data-target="#navSection" data-offset="100">

    <div class="sidebar">
      <div class="sidebar-header">
        <div>
          <a href="../index.html" class="sidebar-logo"><span>cassie</span></a>
          <small class="sidebar-logo-headline">Responsive Dashboard Template</small>
        </div>
      </div><!-- sidebar-header -->
      <div id="dpSidebarBody" class="sidebar-body">
        <ul class="nav nav-sidebar">
          <li class="nav-label"><label class="content-label">Template Pages</label></li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="box"></i> Dashboard</a>
            <nav class="nav nav-sub">
              <a href="../pages/dashboard-one.html" class="nav-sub-link">Analytics &amp; Monitoring</a>
              <a href="../pages/dashboard-two.html" class="nav-sub-link">Projects &amp; Web Services</a>
              <a href="../pages/dashboard-three.html" class="nav-sub-link">Blog &amp; Social Media</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="layout"></i> App Pages</a>
            <nav class="nav nav-sub">
              <a href="../pages/app-calendar.html" class="nav-sub-link">Calendar</a>
              <a href="../pages/app-chat.html" class="nav-sub-link">Chat</a>
              <a href="../pages/app-mail.html" class="nav-sub-link">Mail</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="lock"></i> Authentication</a>
            <nav class="nav nav-sub">
              <a href="../pages/page-signin.html" class="nav-sub-link">Sign In</a>
              <a href="../pages/page-signup.html" class="nav-sub-link">Sign Up</a>
              <a href="../pages/page-forgot.html" class="nav-sub-link">Forgot Password</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="x-circle"></i> Error Pages</a>
            <nav class="nav nav-sub">
              <a href="../pages/page-404.html" class="nav-sub-link">Page Not Found</a>
              <a href="../pages/page-500.html" class="nav-sub-link">Internal Server Error</a>
              <a href="../pages/page-503.html" class="nav-sub-link">Service Unavailable</a>
              <a href="../pages/page-505.html" class="nav-sub-link">Forbidden Access</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="user"></i> User Pages</a>
            <nav class="nav nav-sub">
              <a href="../pages/page-profile.html" class="nav-sub-link">User Profile</a>
              <a href="../pages/page-timeline.html" class="nav-sub-link">Timeline</a>
              <a href="../pages/page-people.html" class="nav-sub-link">People</a>
              <a href="../pages/page-settings.html" class="nav-sub-link">Profile Settings</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="file-text"></i> Extras</a>
            <nav class="nav nav-sub">
              <a href="../pages/page-invoice.html" class="nav-sub-link">Invoice</a>
              <a href="../pages/page-pricing.html" class="nav-sub-link">Pricing</a>
            </nav>
          </li>
          <li class="nav-label"><label class="content-label">UI Design Library</label></li>
          <li class="nav-item show">
            <a href="" class="nav-link with-sub active"><i data-feather="book"></i> Content</a>
            <nav class="nav nav-sub">
              <a href="con-grid.html" class="nav-sub-link active">Grid System</a>
              <a href="con-icons.html" class="nav-sub-link">Icons</a>
              <a href="con-images.html" class="nav-sub-link">Images</a>
              <a href="con-typography.html" class="nav-sub-link">Typography</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="layers"></i> Components</a>
            <nav class="nav nav-sub">
              <a href="com-accordion.html" class="nav-sub-link">Accordion</a>
              <a href="com-alerts.html" class="nav-sub-link">Alerts</a>
              <a href="com-avatar.html" class="nav-sub-link">Avatar</a>
              <a href="com-badge.html" class="nav-sub-link">Badge</a>
              <a href="com-breadcrumbs.html" class="nav-sub-link">Breadcrumbs</a>
              <a href="com-buttons.html" class="nav-sub-link">Buttons</a>
              <a href="com-button-groups.html" class="nav-sub-link">Button Groups</a>
              <a href="com-cards.html" class="nav-sub-link">Cards</a>
              <a href="com-carousel.html" class="nav-sub-link">Carousel</a>
              <a href="com-collapse.html" class="nav-sub-link">Collapse</a>
              <a href="com-dropdown.html" class="nav-sub-link">Dropdown</a>
              <a href="com-list-group.html" class="nav-sub-link">List Group</a>
              <a href="com-marker.html" class="nav-sub-link">Marker</a>
              <a href="com-media-object.html" class="nav-sub-link">Media Object</a>
              <a href="com-modal.html" class="nav-sub-link">Modal</a>
              <a href="com-navs.html" class="nav-sub-link">Navs</a>
              <a href="com-navbar.html" class="nav-sub-link">Navbar</a>
              <a href="com-off-canvas.html" class="nav-sub-link">Off-Canvas</a>
              <a href="com-pagination.html" class="nav-sub-link">Pagination</a>
              <a href="com-placeholder.html" class="nav-sub-link">Placeholder</a>
              <a href="com-popovers.html" class="nav-sub-link">Popovers</a>
							<a href="com-progress.html" class="nav-sub-link">Progress</a>
              <a href="com-steps.html" class="nav-sub-link">Steps</a>
              <a href="com-scrollbar.html" class="nav-sub-link">Scrollbar</a>
              <a href="com-scrollspy.html" class="nav-sub-link">Scrollspy</a>
              <a href="com-spinners.html" class="nav-sub-link">Spinners</a>
              <a href="com-tab.html" class="nav-sub-link">Tab</a>
              <a href="com-toast.html" class="nav-sub-link">Toast </a>
              <a href="com-tooltips.html" class="nav-sub-link">Tooltips</a>
              <a href="com-table-basic.html" class="nav-sub-link">Table Basic</a>
              <a href="com-table-advanced.html" class="nav-sub-link">Table (Datatable)</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="monitor"></i> Utilities</a>
            <nav class="nav nav-sub">
              <a href="util-animation.html" class="nav-sub-link">Animation</a>
              <a href="util-background.html" class="nav-sub-link">Background</a>
              <a href="util-border.html" class="nav-sub-link">Border</a>
              <a href="util-display.html" class="nav-sub-link">Display</a>
              <a href="util-divider.html" class="nav-sub-link">Divider</a>
              <a href="util-flex.html" class="nav-sub-link">Flex</a>
              <a href="util-height.html" class="nav-sub-link">Height</a>
              <a href="util-margin.html" class="nav-sub-link">Margin</a>
              <a href="util-padding.html" class="nav-sub-link">Padding</a>
              <a href="util-position.html" class="nav-sub-link">Position</a>
              <a href="util-typography.html" class="nav-sub-link">Typography</a>
              <a href="util-width.html" class="nav-sub-link">Width</a>
              <a href="util-extras.html" class="nav-sub-link">Extras</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="life-buoy"></i> Forms</a>
            <nav class="nav nav-sub">
              <a href="form-elements.html" class="nav-sub-link">Form Elements</a>
              <a href="form-input-group.html" class="nav-sub-link">Input Group</a>
              <a href="form-input-tags.html" class="nav-sub-link">Input Tags</a>
              <a href="form-input-masks.html" class="nav-sub-link">Input Masks</a>
              <a href="form-validation.html" class="nav-sub-link">Form Validation</a>
              <a href="form-wizard.html" class="nav-sub-link">Form Wizard</a>
              <a href="form-text-editor.html" class="nav-sub-link">Text Editor</a>
              <a href="form-rangeslider.html" class="nav-sub-link">Range Slider</a>
              <a href="form-datepicker.html" class="nav-sub-link">Date Pickers</a>
              <a href="form-select2.html" class="nav-sub-link">Select2</a>
              <a href="form-search.html" class="nav-sub-link">Search</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="pie-chart"></i> Charts</a>
            <nav class="nav nav-sub">
              <a href="chart-flot.html" class="nav-sub-link">Flot</a>
              <a href="chart-chartjs.html" class="nav-sub-link">ChartJS</a>
              <a href="chart-peity.html" class="nav-sub-link">Peity</a>
              <a href="chart-sparkline.html" class="nav-sub-link">Sparkline</a>
              <a href="chart-morris.html" class="nav-sub-link">Morris</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="map-pin"></i> Maps</a>
            <nav class="nav nav-sub">
              <a href="map-google.html" class="nav-sub-link">Google Maps</a>
              <a href="map-leaflet.html" class="nav-sub-link">Leaflet Maps</a>
              <a href="map-vector.html" class="nav-sub-link">Vector Maps</a>
            </nav>
          </li>
        </ul>

        <hr class="mg-t-30 mg-b-25">

        <ul class="nav nav-sidebar">
          <li class="nav-item"><a href="../pages/themes.html" class="nav-link"><i data-feather="aperture"></i> Themes</a></li>
          <li class="nav-item"><a href="../docs.html" class="nav-link"><i data-feather="help-circle"></i> Documentation</a></li>
        </ul>


      </div><!-- sidebar-body -->
    </div><!-- sidebar -->

    <div class="content">
      <div class="header">
        <div class="header-left">
          <a href="" class="burger-menu"><i data-feather="menu"></i></a>

          <div class="header-search">
            <i data-feather="search"></i>
            <input type="search" class="form-control" placeholder="What are you looking for?">
          </div><!-- header-search -->
        </div><!-- header-left -->

        <div class="header-right">
          <a href="" class="header-help-link"><i data-feather="help-circle"></i></a>
          <div class="dropdown dropdown-notification">
            <a href="" class="dropdown-link new" data-toggle="dropdown"><i data-feather="bell"></i></a>
            <div class="dropdown-menu dropdown-menu-right">
              <div class="dropdown-menu-header">
                <h6>Notifications</h6>
                <a href=""><i data-feather="more-vertical"></i></a>
              </div><!-- dropdown-menu-header -->
              <div class="dropdown-menu-body">
                <a href="" class="dropdown-item">
                  <div class="avatar"><span class="avatar-initial rounded-circle text-primary bg-primary-light">s</span></div>
                  <div class="dropdown-item-body">
                    <p><strong>Socrates Itumay</strong> marked the task as completed.</p>
                    <span>5 hours ago</span>
                  </div>
                </a>
                <a href="" class="dropdown-item">
                  <div class="avatar"><span class="avatar-initial rounded-circle tx-pink bg-pink-light">r</span></div>
                  <div class="dropdown-item-body">
                    <p><strong>Reynante Labares</strong> marked the task as incomplete.</p>
                    <span>8 hours ago</span>
                  </div>
                </a>
                <a href="" class="dropdown-item">
                  <div class="avatar"><span class="avatar-initial rounded-circle tx-success bg-success-light">d</span></div>
                  <div class="dropdown-item-body">
                    <p><strong>Dyanne Aceron</strong> responded to your comment on this <strong>post</strong>.</p>
                    <span>a day ago</span>
                  </div>
                </a>
                <a href="" class="dropdown-item">
                  <div class="avatar"><span class="avatar-initial rounded-circle tx-indigo bg-indigo-light">k</span></div>
                  <div class="dropdown-item-body">
                    <p><strong>Kirby Avendula</strong> marked the task as incomplete.</p>
                    <span>2 days ago</span>
                  </div>
                </a>
              </div><!-- dropdown-menu-body -->
              <div class="dropdown-menu-footer">
                <a href="">View All Notifications</a>
              </div>
            </div><!-- dropdown-menu -->
          </div>
          <div class="dropdown dropdown-loggeduser">
            <a href="" class="dropdown-link" data-toggle="dropdown">
              <div class="avatar avatar-sm">
                <img src="https://via.placeholder.com/500/637382/fff" class="rounded-circle" alt="">
              </div><!-- avatar -->
            </a>
            <div class="dropdown-menu dropdown-menu-right">
              <div class="dropdown-menu-header">
                <div class="media align-items-center">
                  <div class="avatar">
                    <img src="https://via.placeholder.com/500/637382/fff" class="rounded-circle" alt="">
                  </div><!-- avatar -->
                  <div class="media-body mg-l-10">
                    <h6>Louise Kate Lumaad</h6>
                    <span>Administrator</span>
                  </div>
                </div><!-- media -->
              </div>
              <div class="dropdown-menu-body">
                <a href="" class="dropdown-item"><i data-feather="user"></i> View Profile</a>
                <a href="" class="dropdown-item"><i data-feather="edit-2"></i> Edit Profile</a>
                <a href="" class="dropdown-item"><i data-feather="briefcase"></i> Account Settings</a>
                <a href="" class="dropdown-item"><i data-feather="shield"></i> Privacy Settings</a>
                <a href="" class="dropdown-item"><i data-feather="log-out"></i> Sign Out</a>
              </div>
            </div><!-- dropdown-menu -->
          </div>
        </div><!-- header-right -->
      </div><!-- header -->
      <div class="content-header">
        <div>
          <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
              <li class="breadcrumb-item"><a href="#">UI Library</a></li>
              <li class="breadcrumb-item"><a href="#">Content</a></li>
              <li class="breadcrumb-item active" aria-current="page">Grid System</li>
            </ol>
          </nav>
          <h4 class="content-title">Grid System</h4>
        </div>
      </div><!-- content-header -->
      <div class="content-right content-right-components">
        <label>On This Page</label>
        <nav id="navSection" class="nav flex-column">
          <a href="#section1" class="nav-link">How It Works</a>
          <a href="#section2" class="nav-link">Setting One Column Width</a>
          <a href="#section3" class="nav-link">Gutters</a>
          <a href="#section4" class="nav-link">No Gutters</a>
          <a href="#section5" class="nav-link">Reordering</a>
          <a href="#section6" class="nav-link">Offsetting Columns</a>
        </nav>
      </div><!-- content-right -->
      <div class="content-body content-body-components">
        <h5 class="content-lead">Use Bootstrap's powerful mobile-first flexbox grid to build layouts of all shapes and sizes. Read the <a href="https://getbootstrap.com/docs/4.2/layout/grid/" target="_blank">Official Bootstrap Documentation</a> for a full list of instructions and other options.</h5>

        <div class="component-section">
          <h5 id="section1" class="tx-semibold">How it Works</h5>
          <p>Bootstrap’s grid system uses a series of containers, rows, and columns to layout and align content. It’s built with flexbox and is fully responsive. Below is an example and an in-depth look at how the grid comes together.</p>

          <div class="mg-t-25">
            <div class="row">
              <div class="col-sm"><div class="pd-y-10 pd-x-20 bg-ui-02">One of three columns</div></div>
              <div class="col-sm mg-t-10 mg-sm-t-0"><div class="pd-y-10 pd-x-20 bg-ui-02">One of three columns</div></div>
              <div class="col-sm mg-t-10 mg-sm-t-0"><div class="pd-y-10 pd-x-20 bg-ui-02">One of three columns</div></div>
            </div>
          </div>
        </div><!-- section-panel -->

        <pre><code class="language-html">&lt;div class="row"&gt;
  &lt;div class="col-sm"&gt;One of three columns&lt;/div&gt;
  &lt;div class="col-sm"&gt;One of three columns&lt;/div&gt;
  &lt;div class="col-sm"&gt;One of three columns&lt;/div&gt;
&lt;/div&gt;</code></pre>

        <div class="component-section">
          <h5 id="section2" class="tx-semibold">Setting One Column Width</h5>
          <p>Auto-layout for flexbox grid columns also means you can set the width of one column and have the sibling columns automatically resize around it.</p>

          <div class="mg-t-25">
            <div class="row">
              <div class="col-sm"><div class="pd-y-10 pd-x-20 bg-ui-02">1 of 3</div></div>
              <div class="col-sm-5 mg-t-10 mg-sm-t-0"><div class="pd-y-10 pd-x-20 bg-ui-02">2 of 3 (wider)</div></div>
              <div class="col-sm mg-t-10 mg-sm-t-0"><div class="pd-y-10 pd-x-20 bg-ui-02">1 of 3</div></div>
            </div><!-- row -->
          </div>
        </div><!-- component-section -->

        <pre><code class="language-html">&lt;div class="row"&gt;
  &lt;div class="col-sm"&gt;...&lt;/div&gt;
  &lt;div class="col-sm-5"&gt;...&lt;/div&gt;
  &lt;div class="col-sm"&gt;...&lt;/div&gt;
&lt;/div&gt;</code></pre>

        <div class="component-section">
          <h5 id="section3" class="tx-semibold">Gutters</h5>
          <p>Gutters can be responsively adjusted by breakpoint-specific padding and negative margin utility classes.</p>

          <div class="mg-t-25 mg-b-25">
            <div class="row">
              <div class="col-sm"><div class="pd-y-10 pd-x-20 bg-ui-02">1 of 3</div></div>
              <div class="col-sm mg-t-10 mg-sm-t-0"><div class="pd-y-10 pd-x-20 bg-ui-02">2 of 3</div></div>
              <div class="col-sm mg-t-10 mg-sm-t-0"><div class="pd-y-10 pd-x-20 bg-ui-02">1 of 3</div></div>
            </div><!-- row -->
          </div><!-- df-example -->
          <div class="mg-b-25">
            <div class="row row-sm">
              <div class="col-sm"><div class="pd-y-10 pd-x-20 bg-ui-02">1 of 3</div></div>
              <div class="col-sm mg-t-10 mg-sm-t-0"><div class="pd-y-10 pd-x-20 bg-ui-02">2 of 3</div></div>
              <div class="col-sm mg-t-10 mg-sm-t-0"><div class="pd-y-10 pd-x-20 bg-ui-02">1 of 3</div></div>
            </div><!-- row -->
          </div><!-- df-example -->
          <div>
            <div class="row row-xs">
              <div class="col-sm"><div class="pd-y-10 pd-x-20 bg-ui-02">1 of 3</div></div>
              <div class="col-sm mg-t-10 mg-sm-t-0"><div class="pd-y-10 pd-x-20 bg-ui-02">2 of 3</div></div>
              <div class="col-sm mg-t-10 mg-sm-t-0"><div class="pd-y-10 pd-x-20 bg-ui-02">1 of 3</div></div>
            </div><!-- row -->
          </div>
        </div>

        <pre><code class="language-html">&lt;div class="row"&gt;...&lt;/div&gt;
&lt;div class="row row-sm"&gt;...&lt;/div&gt;
&lt;div class="row row-xs"&gt;...&lt;/div&gt;</code></pre>

        <div class="component-section">
          <h5 id="section4" class="tx-semibold">No Gutters</h5>
          <p class="mg-b-30">The gutters between columns in our predefined grid classes can be removed with <code>.no-gutters</code>. This removes the negative margins from <code>.row</code> and the horizontal padding from all immediate children columns.</p>

          <div class="mg-t-25">
            <div class="row no-gutters">
              <div class="col-sm"><div class="pd-y-10 pd-x-20 bg-ui-02">1 of 3</div></div>
              <div class="col-sm"><div class="pd-y-10 pd-x-20 bg-ui-02">2 of 3</div></div>
              <div class="col-sm"><div class="pd-y-10 pd-x-20 bg-ui-02">1 of 3</div></div>
            </div><!-- row -->
          </div>
        </div><!-- component-section -->
        <pre><code class="language-html">&lt;div class="row no-gutters"&gt;...&lt;/div&gt;</code></pre>

        <div class="component-section">
          <h5 id="section5" class="tx-semibold">Reordering</h5>
          <p class="mg-b-30">Use <code>.order-</code> classes for controlling the visual order of your content. </p>

          <div class="mg-t-25">
            <div class="row">
              <div class="col-sm order-2"><div class="pd-y-10 pd-x-20 bg-ui-02">First, but second</div></div>
              <div class="col-sm order-3 mg-t-10 mg-sm-t-0"><div class="pd-y-10 pd-x-20 bg-ui-02">Second, but last</div></div>
              <div class="col-sm order-1 mg-t-10 mg-sm-t-0"><div class="pd-y-10 pd-x-20 bg-ui-02">Third, but first</div></div>
            </div><!-- row -->
          </div>
        </div><!-- component-section -->

        <pre><code class="language-html">&lt;div class="row"&gt;
          &lt;div class="col-sm order-2"&gt;...&lt;/div&gt;
  &lt;div class="col-sm order-3"&gt;...&lt;/div&gt;
  &lt;div class="col-sm order-1"&gt;...&lt;/div&gt;
&lt;/div&gt;</code></pre>

        <div class="component-section">
          <h5 id="section6" class="tx-semibold">Offsetting Columns</h5>
          <p class="mg-b-30">You can offset grid columns in two ways: our responsive .offset- grid classes and our margin utilities.</p>

          <div class="mg-t-25">
            <div class="row">
              <div class="col-sm-4"><div class="pd-y-10 pd-x-20 bg-ui-02">.col-md-4</div></div>
              <div class="col-sm-4 offset-sm-4 mg-t-10 mg-sm-t-0"><div class="pd-y-10 pd-x-20 bg-ui-02">.col-md-4 .offset-md-4</div></div>
            </div><!-- row -->
          </div>
        </div><!-- component-section -->

        <pre><code class="language-html">&lt;div class="row"&gt;
  &lt;div class="col-sm-4"&gt;...&lt;/div&gt;
  &lt;div class="col-sm-4 offset-sm-4"&gt;...&lt;/div&gt;
&lt;/div&gt;</code></pre>

      </div><!-- content-body -->
      <div class="content-footer">
        &copy; 2019. All Rights Reserved. Created by <a href="http://themepixels.me" target="_blank">ThemePixels</a>
      </div><!-- content-footer -->
    </div><!-- content -->

    <script src="../lib/jquery/jquery.min.js"></script>
    <script src="../lib/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="../lib/feather-icons/feather.min.js"></script>
    <script src="../lib/perfect-scrollbar/perfect-scrollbar.min.js"></script>
    <script src="../lib/prismjs/prism.js"></script>
    <script src="../lib/js-cookie/js.cookie.js"></script>

    <script src="../assets/js/cassie.js"></script>
    <script>
      $(function(){

        'use strict'

      })
    </script>
  </body>
</html>
